Bug 1261100 - nova: Make set_admin_password work with the libvirt driver (via QEMU guest agent)
nova: Make set_admin_password work with the libvirt driver (via QEMU guest ag...
Status: CLOSED ERRATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova (Show other bugs)
6.0 (Juno)
x86_64 Linux
high Severity high
: ---
: 6.0 (Juno)
Assigned To: Sahid Ferdjaoui
Prasanth Anbalagan
: FutureFeature, Reopened, Triaged, ZStream
Depends On: 978365 1174176 1174177 1174181 1303906
Blocks: 1273812
  Show dependency treegraph
 
Reported: 2015-09-08 10:57 EDT by Pablo Iranzo Gómez
Modified: 2016-04-26 23:05 EDT (History)
22 users (show)

See Also:
Fixed In Version: openstack-nova-2015.1.2-3.el7ost, openstack-nova-2014.2.3-39.el7ost
Doc Type: Enhancement
Doc Text:
The ability of the libvirt driver to set the admin password has been added. To use this feature, run the following command: "nova root-password [server]".
Story Points: ---
Clone Of: 978365
Environment:
Last Closed: 2015-12-21 12:06:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sferdjao: needinfo+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 187509 None None None Never

  None (edit)
Comment 13 Sahid Ferdjaoui 2015-09-18 10:57:23 EDT
Please see #12
Comment 15 Sahid Ferdjaoui 2015-10-14 08:22:36 EDT
ack
Comment 17 Sahid Ferdjaoui 2015-11-03 00:56:38 EST
Working to a backport for RHOS7 firstly
Comment 18 Sahid Ferdjaoui 2015-11-03 08:59:44 EST
Backport for RHOS7 is ready and I have tested it on rhel7. Works as expected.

https://code.engineering.redhat.com/gerrit/#/q/status:open+project:nova+branch:rhos-7.0-patches+topic:bp/libvirt-set-admin-password
Comment 19 Sahid Ferdjaoui 2015-11-05 08:09:46 EST
Backport for RHOS6 is ready, i still need to test it on rhel7.2

https://code.engineering.redhat.com/gerrit/#/q/status:open+project:nova+branch:rhos-6.0-rhel-patches+topic:bp/libvirt-set-admin-password
Comment 24 errata-xmlrpc 2015-12-21 12:06:10 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2673
Comment 25 Prasanth Anbalagan 2015-12-21 13:18:47 EST
Verified on the following release 

[root@lynx13 ~(keystone_admin)]# yum list installed | grep openstack-nova
openstack-nova-api.noarch            2015.1.2-7.el7ost       @rhelosp-7.0-puddle
openstack-nova-cert.noarch           2015.1.2-7.el7ost       @rhelosp-7.0-puddle
openstack-nova-common.noarch         2015.1.2-7.el7ost       @rhelosp-7.0-puddle
openstack-nova-compute.noarch        2015.1.2-7.el7ost       @rhelosp-7.0-puddle
openstack-nova-conductor.noarch      2015.1.2-7.el7ost       @rhelosp-7.0-puddle
openstack-nova-console.noarch        2015.1.2-7.el7ost       @rhelosp-7.0-puddle
openstack-nova-novncproxy.noarch     2015.1.2-7.el7ost       @rhelosp-7.0-puddle
openstack-nova-scheduler.noarch      2015.1.2-7.el7ost       @rhelosp-7.0-puddle
[root@lynx13 ~(keystone_admin)]# 
[root@lynx13 ~(keystone_admin)]# 
[root@lynx13 ~(keystone_admin)]# nova list
+--------------------------------------+------+--------+------------+-------------+---------------------+
| ID                                   | Name | Status | Task State | Power State | Networks            |
+--------------------------------------+------+--------+------------+-------------+---------------------+
| cf96aaa0-fac9-4174-a1a7-726e6ea997c0 | vm1  | ACTIVE | -          | Running     | public=172.24.4.230 |
+--------------------------------------+------+--------+------------+-------------+---------------------+
[root@lynx13 ~(keystone_admin)]# 
[root@lynx13 ~(keystone_admin)]# 
[root@lynx13 ~(keystone_admin)]# nova help root-password
usage: nova root-password <server>

Change the admin password for a server.

Positional arguments:
  <server>  Name or ID of server.
[root@lynx13 ~(keystone_admin)]# 
[root@lynx13 ~(keystone_admin)]# 
[root@lynx13 ~(keystone_admin)]# nova help root-password^C
[root@lynx13 ~(keystone_admin)]# cat /etc/resolv.conf 
# Generated by NetworkManager
search qa.lab.tlv.redhat.com
nameserver 10.35.64.1
nameserver 10.35.255.6
[root@lynx13 ~(keystone_admin)]# dhcpclient
-bash: dhcpclient: command not found
[root@lynx13 ~(keystone_admin)]# 
[root@lynx13 ~(keystone_admin)]# 
[root@lynx13 ~(keystone_admin)]# nova root-password vm1
New password: 
Again: 
[root@lynx13 ~(keystone_admin)]#

Note You need to log in before you can comment on or make changes to this bug.